Loading...
Searching...
No Matches
apr_getopt_option_t Struct Reference
Apache Portability Runtime library » Command Argument Parsing

`#include <apr_getopt.h>`

## Data Fields

const char * | name
int | optch
int | has_arg
const char * | description

## Detailed Description

Structure used to describe options that getopt should search for.

## Field Documentation

## description

const char* apr_getopt_option_t::description

a description of the option

## has_arg

int apr_getopt_option_t::has_arg

nonzero if option takes an argument

## name

const char* apr_getopt_option_t::name

long option name, or NULL if option has no long name

## optch

int apr_getopt_option_t::optch

option letter, or a value greater than 255 if option has no letter

The documentation for this struct was generated from the following file:

- apr_getopt.h